Viewing Issue Advanced Details Jump to Notes ] namcos22.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01949 Graphics Major Always Jun 28, 2008, 18:24 Sep 10, 2011, 06:38
Tester Canim View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS
Status [?] Resolved   Driver namcos22.cpp
Version 0.125u8 Fixed in Version 0.143u6 Build Normal
Summary 01949: cybrcycc: No background graphics when choosing Hard course.
Description With correct initialization (9+F2 at startup), the background graphics while playing are shown only on Green Hill (Easy) course. In the Neo Yokohama (Hard) course - there is no road or sky during gameplay just the cycles and displays.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.103u3
Affected Sets / Systems cybrcycc
Attached Files
png file icon 0.127u2.png (60,763 bytes)  Sep 7, 2008, 04:50


-  Notes
User avatar
No.01422
Tafoid
(Administrator)
Jun 28, 2008, 18:39
Current flags indicate Video and Sound are not 100%. (That screen you have to OK when you start MAME) Current MAMETester policy tells us Dev is not interested in reports at this time as it's still a work in progress.
User avatar
No.01429
Canim
(Senior Tester)
Jun 28, 2008, 21:49
You are right so far but it was working before, so I thought it would be possible to bring it back to old status with working background.
User avatar
No.01433
Fujix
(Administrator)
Jun 29, 2008, 01:24
Regression in 0.103u cycle.
User avatar
No.02382
Canim
(Senior Tester)
Sep 6, 2008, 23:50
Background ingame is now back to normal.
Bug resolved.
User avatar
No.02384
Tafoid
(Administrator)
Sep 7, 2008, 00:14
I also cannot confirm this one on 32-bit Windows. Even after deleted .nv .. 0.127u2 shows the same bug reported behavior.
User avatar
No.02386
Fujix
(Administrator)
Sep 7, 2008, 04:51
added a screenshot in 0.127u2.
User avatar
No.02393
Canim
(Senior Tester)
Sep 7, 2008, 18:18
edited on: Sep 8, 2008, 06:22
I tested it on 127u2 64bit. It only works after initialise with 9 and F2.
I will be compiling 32bit.

It's the same for 32bit.

User avatar
No.02833
Canim
(Senior Tester)
Oct 14, 2008, 03:32
This one is totally fixed for me now.
It seems the nvram initialise was broken for a few versions.
No.02925
user436
Oct 25, 2008, 23:27
It is occurs only on Neo Yokohama course.
User avatar
No.02931
Canim
(Senior Tester)
Oct 26, 2008, 04:04
You are right it's still not working on the Neo Y... course, but the steering bug #1950 is fixed.
User avatar
No.02933
Tafoid
(Administrator)
Oct 26, 2008, 04:18
This too is working with the proper initialization process (Starting or resetting with F2 + 9 keys held down until initialized). Resolving. Like 01950, the test mode initialization routines seem to do nothing.
User avatar
No.02934
Fujix
(Administrator)
Oct 26, 2008, 05:15
This is seen only on the expert course and not fixed by the initialization.
User avatar
No.02936
Tafoid
(Administrator)
Oct 26, 2008, 20:23
edited on: May 29, 2009, 20:45
Rewrote the summary and description to better reflect the issue.

EDIT: Built older U binaries and confirmed actual regression version.